Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Class ResourceHelperImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.gmf.runtime.emf.core.resources.ResourceHelperImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, IResourceHelper

    public class ResourceHelperImpl

extends org.eclipse.emf.common.notify.impl.AdapterImpl
implements IResourceHelper

Default implementation of a resource helper, useful for subclassing. Implements the default algorithms for the interface methods.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`ResourceHelperImpl()`

Method Summary
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)` Default algorithm just uses the associated EFactory to instantiate the EClass.
`protected org.eclipse.emf.ecore.resource.Resource` `getResource()` Obtains the resource that I help.
`boolean` `isAdapterForType(java.lang.Object type)`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, notifyChanged, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.Adapter
`getTarget, notifyChanged, setTarget`

Constructor Detail

### ResourceHelperImpl

    public ResourceHelperImpl()

Method Detail

### getResource

    protected org.eclipse.emf.ecore.resource.Resource getResource()

  Obtains the resource that I help.

  Returns:
    my resource

### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

  Specified by:
    `isAdapterForType` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `isAdapterForType` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Default algorithm just uses the associated EFactory to instantiate the EClass. If the resource is under the control of a transactional editing domain, then it will be managed already by that domain before it is attached to the resource.

  Specified by:
    `create` in interface `IResourceHelper`
  Parameters:
    `eClass` - the `EClass` to instantiate
  Returns:
    the instance

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.